unit QBResource;

interface

resourcestring
  // QBFloatPanel
  rsFloatPanelIsNotValidWorkArea  = 'Given parent is not valid for WorkArea!';
  rsFloatPanelTableWithAlias      = 'Table with alias';
  rsFloatPanelAlreadyExists       = 'already exist';

  // QBFloatTable
  rsFloatTableInvalidParentForTable = 'Invalid parent for table object!';
  rsFloatTableCollapseExpandTable = 'Collapse/Expand table';
  rsFloatTableUnlinkTable         = 'Unlink table';
  rsFloatTableCloseTable          = 'Close table';
  rsFloatTableUnselectAllFields   = 'Unselect all fields';
  rsFloatTableSelectAllFields     = 'Select all fields';
  rsFloatTableDoubleClickAlias    = 'Double click for edit alias';
  rsFloatTableDeleteTable         = 'Delete table';
  rsFloatTableRenameTable         = 'Rename table';

  // QBLinkProp
  rsLinkPropInvalidLink           = 'Invalid link';
  rsLinkPropJoinTables            = 'join tables: ';
  rsLinkPropAnd                   = 'and';
  rsLinkPropIncludeAllFrom        = 'Include all from';

  // QBLinks
  rsLinksInvalidIndex             = 'Invalid index = %d ';
  rsLinksWantDeleteLink           = 'Do you really want to delete the link between ';
  rsLinksAttention                = 'Attention!';
  rsLinksInvalidTable             = 'Invalid table %s in Link control';
  rsLinksDeletePoint              = 'Delete point';
  rsLinksInsertPoint              = 'Insert point';
  rsLinksDeleteLink               = 'Delete link';
  rsLinksProperty                 = 'Property';

  // QBParser
  rsParserAll                     = 'All';
  rsParserAny                     = 'Any';
  rsParserNone                    = 'None';
  rsParserNotAll                  = 'Not all';
  rsParserUnknownError            = 'Unknown error (#%d).';
  rsParserInvalidToken            = 'Invalid token ''%s'' at position %d of line %d.';
  rsParserUnexpectedEnd           = 'Unexpected end of statement.';
  rsParserUnterminatedString      = 'Unterminated string.';

  // QBSelectOrder
  rsSelectOrderASC = 'Ascending';
  rsSelectOrderDESC = 'Descending';
  rsSelectOrderInvalidGridParent  = 'Invalid parent for SelectGrid';
  rsSelectOrderNameOfOutputField  = 'Name of output field';
  rsSelectOrderAggregate          = 'Aggregate';
  rsSelectOrderSourceFieldName    = 'Source field name';
  rsSelectOrderDeleteCurrentRow   = 'Delete current row';
  rsSelectOrderSureWantDeleteRow  = 'Are you sure you want to delete current row?';
  rsSelectOrderConfirmation       = 'Confirmation';
  rsSelectOrderCantDeleteLastRow  = 'Can''t delete last row!';
  rsSelectOrderInvalidOrderParent = 'Invalid parent for OrderPanel';
  rsSelectOrderDistinct           = 'Select only unique records';
  rsSelectOrderOutputFields       = 'Output fields';
  rsSelectOrderSortedFields       = 'Sorted fields';
  rsSelectOrderSortOrder          = 'Sort order';
  rsSelectOrderUp                 = 'Up';
  rsSelectOrderDown               = 'Down';

  // QBWherePanel
  rsWherePanelFollowingMet           = ' of following are met';
  rsWherePanelInvalidPanelParent     = 'Invalid parent for conditions panel';
  rsWherePanelInsertField            = 'Insert field';
  rsWherePanelAddCondition           = 'Add condition';
  rsWherePanelMakeComposeCondition   = 'Make compose condition';
  rsWherePanelDeleteCondition        = 'Delete condition';
  rsWherePanelExpandCondition        = 'Expand condition';
  rsWherePanelCollapseCondition      = 'Collapse condition';
  rsWherePanelPressShiftEnter        = 'Press Shift+Enter to insert field';
  rsWherePanelThereIsNoActiveButton  = 'There is no active button';
  rsWherePanelSelectedConditionComposed = 'Selected condition is already composed';
  rsWherePanelCantDeleteFirstRow     = 'Can''t delete first row';
  rsWherePanelSureWantDeleteCondition = 'Are you sure you want to delete current condition(s)?';
  rsWherePanelCantExpandSimpleCondition = 'Can''t expand/collapse simple condition';
  rsWherePanelCantCollapseFirstCondition = 'Can''t collapse first condition';
  rsWherePanelTypeMismatchInExpression = 'Type mismatch in expression';
  rsWherePanelError                   = 'Error!';

  // QBWindow
  rsWindowCriteria                    = 'Criteria';
  rsWindowSelection                   = 'Selection';
  rsWindowGroupingCriteria            = 'Grouping criteria';
  rsWindowSorting                     = 'Sorting';
  rsWindowOptions                     = 'Options';
  rsWindowFirst                       = 'First';
  rsWindowSkip                        = 'Skip';

  //About form
  rsAboutEvalVer = 'Evalution version';
  rsAboutRegVer = 'Registered version';
  rsAboutCaption = 'About EMS QueryBuilder';
  rsAboutLabel1_Caption = 'EMS QueryBuilder Component Suite '#13#10'version %s -- %s, %d.';
  rsAboutLabel2_Caption = 'Copyright (C) 2000-2002'#13#10'EMS Corporation';
  rsAboutLabel15_Caption = 'Thanks for you support! Welcome to http://www.ems-hitech.com/querybuilder/'#13#10'for get information about latest updates.';
  rsAboutLabel16_Caption = 'If you have any questions is available please email querybuilder@ems-hitech.com';
  rsAboutLabel17_Caption = 'We hope you''ll enjoy working with our product.'#13#10'Thanks again for your choice of EMS QueryBuilder!';
  rsAboutLabel18_Caption = 'Best regards,'#13#10'EMS QueryBuilder development team';
  rsAboutLabel3_Caption = 'Welcome to ';
  rsAboutLabel4_Caption = 'for get full registration info or register online right now:';
  rsAboutLabel5_Caption = 'EMS QueryBuilder with sources:';
  rsAboutLabel8_Caption = 'EMS QueryBuilder without sources:';
  rsAboutUSDOnly = '($US only)';
  rsAboutUSDEuro = '($US and Euro)';
  rsAboutOKCaption = '&OK';

  // Monthes
  rsJan = 'January';
  rsFeb = 'February';
  rsMar = 'March';
  rsApr = 'April';
  rsMay = 'May';
  rsJun = 'June';
  rsJul = 'July';
  rsAug = 'August';
  rsSep = 'September';
  rsOct = 'October';
  rsNov = 'November';
  rsDec = 'December';

implementation

end.
